Search documentation of wx

# View Source wxGridSizer (wx v2.4.2)

Functions for wxGridSizer class

A grid sizer is a sizer which lays out its children in a two-dimensional table with all table fields having the same size, i.e. the width of each field is the width of the widest child, the height of each field is the height of the tallest child.

See: `wxSizer`, Overview sizer

This class is derived (and can use functions) from: `wxSizer`

wxWidgets docs: wxGridSizer

# Summary

## Types

wxGridSizer()

## Functions

destroy(This)

Destroys the object.

getCols(This)

Returns the number of columns that has been specified for the sizer.

getHGap(This)

Returns the horizontal gap (in pixels) between cells in the sizer.

getRows(This)

Returns the number of rows that has been specified for the sizer.

getVGap(This)

Returns the vertical gap (in pixels) between the cells in the sizer.

new(Cols)
new(Cols, Options)
new/3
new(Rows, Cols, Vgap, Hgap)
setCols(This, Cols)

Sets the number of columns in the sizer.

setHGap(This, Gap)

Sets the horizontal gap (in pixels) between cells in the sizer.

setRows(This, Rows)

Sets the number of rows in the sizer.

setVGap(This, Gap)

Sets the vertical gap (in pixels) between the cells in the sizer.

# Types

Link to this type

# wxGridSizer()

View Source

    -type wxGridSizer() :: wx:wx_object().

# Functions

Link to this function

# destroy(This)

View Source

    -spec destroy(This :: wxGridSizer()) -> ok.

Destroys the object.

Link to this function

# getCols(This)

View Source

    -spec getCols(This) -> integer() when This :: wxGridSizer().

Returns the number of columns that has been specified for the sizer.

Returns zero if the sizer is automatically adjusting the number of columns depending on number of its children. To get the effective number of columns or rows being currently used, see `GetEffectiveColsCount()` (not implemented in wx)

Link to this function

# getHGap(This)

View Source

    -spec getHGap(This) -> integer() when This :: wxGridSizer().

Returns the horizontal gap (in pixels) between cells in the sizer.

Link to this function

# getRows(This)

View Source

    -spec getRows(This) -> integer() when This :: wxGridSizer().

Returns the number of rows that has been specified for the sizer.

Returns zero if the sizer is automatically adjusting the number of rows depending on number of its children. To get the effective number of columns or rows being currently used, see `GetEffectiveRowsCount()` (not implemented in wx).

Link to this function

# getVGap(This)

View Source

    -spec getVGap(This) -> integer() when This :: wxGridSizer().

Returns the vertical gap (in pixels) between the cells in the sizer.

Link to this function

# new(Cols)

View Source

    -spec new(Cols) -> wxGridSizer() when Cols :: integer().

Link to this function

# new(Cols, Options)

View Source

    -spec new(Cols, [Option]) -> wxGridSizer()
                 when Cols :: integer(), Option :: {gap, {W :: integer(), H :: integer()}}.

Link to this function

# new/3

View Source

    -spec new(Cols, Vgap, Hgap) -> wxGridSizer()
                 when Cols :: integer(), Vgap :: integer(), Hgap :: integer();
             (Rows, Cols, Gap) -> wxGridSizer()
                 when Rows :: integer(), Cols :: integer(), Gap :: {W :: integer(), H :: integer()}.

Link to this function

# new(Rows, Cols, Vgap, Hgap)

View Source

    -spec new(Rows, Cols, Vgap, Hgap) -> wxGridSizer()
                 when Rows :: integer(), Cols :: integer(), Vgap :: integer(), Hgap :: integer().

Link to this function

# setCols(This, Cols)

View Source

    -spec setCols(This, Cols) -> ok when This :: wxGridSizer(), Cols :: integer().

Sets the number of columns in the sizer.

Link to this function

# setHGap(This, Gap)

View Source

    -spec setHGap(This, Gap) -> ok when This :: wxGridSizer(), Gap :: integer().

Sets the horizontal gap (in pixels) between cells in the sizer.

Link to this function

# setRows(This, Rows)

View Source

    -spec setRows(This, Rows) -> ok when This :: wxGridSizer(), Rows :: integer().

Sets the number of rows in the sizer.

Link to this function

# setVGap(This, Gap)

View Source

    -spec setVGap(This, Gap) -> ok when This :: wxGridSizer(), Gap :: integer().

Sets the vertical gap (in pixels) between the cells in the sizer.